{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-10-02T15:06:19Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "a8316501b90554df26cde28b30c443e83cf3b4da"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtserialport",
            "spdxDocument": "https://qt.io/spdxdocs/qtserialport-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "c5bf5aaacf18f3f0cd46730cf62537684f6cd552"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "94075d5b1f0a881cc41876da6a4ce14f86fda5d6"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtpositioning-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtpositioning-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Darwin (x86_64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "17.0.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning",
            "builtDate": "2024-10-02T15:06:19Z",
            "comment": "Built by CMake 3.27.7 with RelWithDebInfo configuration for Android (aarch64)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtpositioning.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtpositioning",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "7c78a91c075cff4b856f20b9dbf6707c99b35c5e"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Poly2Tri",
            "comment": "\n    Name: Poly2Tri Polygon Triangulation Library\n    Description: Poly2Tri is a sweepline constrained Delaunay Polygon Triangulation Library.\n    Qt usage: Used in the QML plugin of Qt Location and in Qt Positioning.\n    Information extracted from:\n     /Users/qt/work/qt/qtpositioning/src/3rdparty/poly2tri/qt_attribution.json\n    Entry index: 0\n",
            "copyrightText": "Poly2Tri Copyright (c) 2009-2010, Poly2Tri Contributors",
            "downloadLocation": "https://github.com/greenm01/poly2tri",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=Bundled_Poly2Tri#src/3rdparty/poly2tri",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-Bundled_Poly2Tri?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=Bundled_Poly2Tri#src/3rdparty/poly2tri",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "BSD-3-Clause",
            "licenseDeclared": "NOASSERTION",
            "name": "Bundled_Poly2Tri",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "commit a922022da4c0d3a55b1d6b6d634219caea653053"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clipper",
            "comment": "\n    Name: Clipper Polygon Clipping Library\n    Description: The Clipper library performs line & polygon clipping - intersection, union, difference & exclusive-or, and line & polygon offsetting.\n    Qt usage: Used in the QML plugin of Qt Location and in Qt Positioning.\n    Information extracted from:\n     /Users/qt/work/qt/qtpositioning/src/3rdparty/clipper/qt_attribution.json\n    Entry index: 0\n",
            "copyrightText": "Copyright Angus Johnson 2010-2017",
            "downloadLocation": "https://sourceforge.net/projects/polyclipping/",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=Bundled_Clipper#src/3rdparty/clipper",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-Bundled_Clipper?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=Bundled_Clipper#src/3rdparty/clipper",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "BSL-1.0",
            "licenseDeclared": "NOASSERTION",
            "name": "Bundled_Clipper",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.4.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clip2Tri",
            "comment": "\n    Name: Clip2Tri Polygon Triangulation Library\n    Description: Clip2Tri can be used together with Clipper for robust triangulation.\n    Qt usage: Used in the QML plugin of Qt Location and in Qt Positioning.\n    Information extracted from:\n     /Users/qt/work/qt/qtpositioning/src/3rdparty/clip2tri/qt_attribution.json\n    Entry index: 0\n",
            "copyrightText": "Copyright (c) 2014 Bitfighter developers",
            "downloadLocation": "https://github.com/raptor/clip2tri",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=Bundled_Clip2Tri#src/3rdparty/clip2tri",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-Bundled_Clip2Tri?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=Bundled_Clip2Tri#src/3rdparty/clip2tri",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "MIT",
            "licenseDeclared": "NOASSERTION",
            "name": "Bundled_Clip2Tri",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "unknown"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtpositioning.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=Positioning#src/positioning",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-Positioning?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=Positioning#src/positioning",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "Positioning",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtpositioning.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=QGeoPositionInfoSourceFactoryPollPlugin#src/plugins/position/positionpoll",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-QGeoPositionInfoSourceFactoryPollPlugin?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=QGeoPositionInfoSourceFactoryPollPlugin#src/plugins/position/positionpoll",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QGeoPositionInfoSourceFactoryPollPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtpositioning.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=QGeoPositionInfoSourceFactoryAndroidPlugin#src/plugins/position/android/src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-QGeoPositionInfoSourceFactoryAndroidPlugin?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=QGeoPositionInfoSourceFactoryAndroidPlugin#src/plugins/position/android/src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QGeoPositionInfoSourceFactoryAndroidPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtpositioning.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=QGeoPositionInfoSourceFactoryNmeaPlugin#src/plugins/position/nmea",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-QGeoPositionInfoSourceFactoryNmeaPlugin?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=QGeoPositionInfoSourceFactoryNmeaPlugin#src/plugins/position/nmea",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QGeoPositionInfoSourceFactoryNmeaPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtpositioning.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=PositioningQuick#src/positioningquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-PositioningQuick?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=PositioningQuick#src/positioningquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PositioningQuick",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpositioning-qt-plugin-positioningquickplugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtpositioning.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpositioning?library_name=positioningquickplugin#src/positioningquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpositioning-positioningquickplugin?vcs_url=https://code.qt.io/qt/qtpositioning.git&library_name=positioningquickplugin#src/positioningquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpositioning:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "positioningquickplugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Positioning",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "882b41d2359939224404b64fc088f7d67891ae53"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6Positioning_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "cfd730a78f8f61e4ed29472cf028852dfcf686e7"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/position/libplugins_position_qtposition_positionpoll_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "284e0f57c0b53f4ee38521271df80ad6f8c2e5ef"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/position/libplugins_position_qtposition_android_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "01b123ae274655f701f4ba3b54d6f34dda2a8c26"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/position/libplugins_position_qtposition_nmea_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "b422ce5dd257572b4e4fe54ca1136564430456e8"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6PositioningQuick_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-positioningquickplugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "a6526a437c001ac4abdd9f8070f336970a9ba8f0"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtPositioning/libqml_QtPositioning_positioningquickplugin_arm64-v8a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtpositioning is built by compiler Clang (/opt/android/android-ndk-r26b/toolchains/llvm/prebuilt/darwin-x86_64/bin/clang++) version 17.0.2",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Poly2Tri",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Poly2Tri",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clipper",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clipper",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clip2Tri",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clip2Tri",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clipper",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clip2Tri",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Poly2Tri",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clip2Tri",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-bundled-3rdparty-module-Bundled-Clip2Tri",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Positioning",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Positioning",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning//Users/qt/work/qt/qtpositioning/build/target/include/QtPositioning/qtpositioningexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qclipperutils.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qclipperutils_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qdoublematrix4x4.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qdoublematrix4x4_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qdoublevector2d.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qdoublevector2d_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qdoublevector3d.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qdoublevector3d_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoaddress.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoaddress.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoaddress_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoareamonitorinfo.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoareamonitorinfo.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoareamonitorsource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoareamonitorsource.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocircle.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocircle.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocircle_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocoordinate.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocoordinate.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocoordinate_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocoordinateobject.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeocoordinateobject_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeolocation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeolocation.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeolocation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopath.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopath.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopath_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopolygon.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopolygon.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopolygon_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfo.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfo.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfo_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfosource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfosource.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfosource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfosourcefactory.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeopositioninfosourcefactory.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeorectangle.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeorectangle.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeorectangle_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeosatelliteinfo.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeosatelliteinfo.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeosatelliteinfo_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeosatelliteinfosource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeosatelliteinfosource.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeosatelliteinfosource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoshape.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoshape.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qgeoshape_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qlocationutils.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qlocationutils_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qnmeapositioninfosource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qnmeapositioninfosource.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qnmeapositioninfosource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qnmeasatelliteinfosource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qnmeasatelliteinfosource.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qnmeasatelliteinfosource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qpositioningglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qpositioningglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qwebmercator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning/qwebmercator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning//Users/qt/work/qt/qtpositioning/build/target/src/positioning/qtpositioning-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning//Users/qt/work/qt/qtpositioning/build/target/src/positioning/qtpositioning-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Positioning",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioning//Users/qt/work/qt/qtpositioning/build/target/src/positioning/meta_types/qt6positioning_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/positionpoll/positionpollfactory.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/positionpoll/positionpollfactory.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/positionpoll/qgeoareamonitor_polling.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/positionpoll/qgeoareamonitor_polling.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryPollPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/positionpoll//Users/qt/work/qt/qtpositioning/build/target/src/plugins/position/positionpoll/meta_types/qt6qgeopositioninfosourcefactorypollplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/jnipositioning.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/jnipositioning.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/positionfactory_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/positionfactory_android.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/qgeopositioninfosource_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/qgeopositioninfosource_android_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/qgeosatelliteinfosource_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src/qgeosatelliteinfosource_android_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryAndroidPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/android/src//Users/qt/work/qt/qtpositioning/build/target/src/plugins/position/android/src/meta_types/qt6qgeopositioninfosourcefactoryandroidplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Network",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relatedSpdxElement": "DocumentRef-qtserialport:SPDXRef-Package-qtserialport-qt-module-SerialPort",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/nmea/qgeopositioninfosourcefactory_nmea.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/nmea/qgeopositioninfosourcefactory_nmea.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/nmea/qiopipe.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/nmea/qiopipe_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QGeoPositionInfoSourceFactoryNmeaPlugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/plugins/position/nmea//Users/qt/work/qt/qtpositioning/build/target/src/plugins/position/nmea/meta_types/qt6qgeopositioninfosourcefactorynmeaplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-module-Positioning",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick//Users/qt/work/qt/qtpositioning/build/target/include/QtPositioningQuick/qtpositioningquickexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativegeoaddress_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativegeoaddress.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativegeolocation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativegeolocation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativepluginparameter_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativepluginparameter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativeposition_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativeposition.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativepositionsource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativepositionsource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativesatellitesource_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qdeclarativesatellitesource.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qquickgeocoordinateanimation_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qquickgeocoordinateanimation.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/locationsingleton_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/locationsingleton.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qquickgeocoordinateanimation_p_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qpositioningquickglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qpositioningquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qpositioningquickmodule_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/qpositioningquickmodule.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick//Users/qt/work/qt/qtpositioning/build/target/src/positioningquick/meta_types/qt6positioningquick_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick//Users/qt/work/qt/qtpositioning/build/target/src/positioningquick/positioningquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PositioningQuick",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick//Users/qt/work/qt/qtpositioning/build/target/src/positioningquick/.qt/rcc/qrc_qmake_QtPositioning.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-positioningquickplugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-positioningquickplugin",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Quick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-positioningquickplugin",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-module-PositioningQuick",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning",
            "relatedSpdxElement": "SPDXRef-Package-qtpositioning-qt-plugin-positioningquickplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-positioningquickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-positioningquickplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpositioning-qt-plugin-positioningquickplugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-positioningquickplugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-positioningquickplugin",
            "comment": "/Users/qt/work/qt/qtpositioning/src/positioningquick/positioningplugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}